{% extends "base.j2" %}

{% block main -%}
<article>
{% mark image -%}
{% block image -%}{%- endblock %}
{% endmark -%}
<h2>{{ resource.meta.title }}</h2>
<time datetime="{{ resource.meta.created.strftime('%Y-%m-%d') }}" class="text-muted">
  Posted: {{ resource.meta.created.strftime('%a, %d %b %Y') }}
</time>

{% filter markdown|typogrify -%}
{% mark post -%}
{% block post -%}{%- endblock %}
{%- endmark %}
{%- endfilter %}
</article>

<nav class="nav">
  <a class="nav-link" href="{{ content_url(resource.node.url) }}">Back to list</a>
  <a class="nav-link{{' disabled' if not resource.prev_by_time }}"
    title="{{ resource.prev_by_time.meta.title }}"
    href="{{ content_url(resource.prev_by_time.url) if resource.prev_by_time else "#" }}">
    Previous
  </a>
  <a class="nav-link{{' disabled' if not resource.next_by_time }}"
    title="{{ resource.next_by_time.meta.title }}"
    href="{{ content_url(resource.next_by_time.url) if resource.next_by_time else "#" }}">
    Next
  </a>
</nav>
{%- endblock %}